using UnityEngine;
using System.Collections;

public class Billboard : MonoBehaviour 
{
	public bool yRotMode = false;
	
	private Transform qacTransform;
	
	void Awake()
	{
		qacTransform = transform;
		//qacTransform.LookAt(billboardFocus);
		qacTransform.rotation = Camera.main.transform.rotation;
	}
	
	// Use this for initialization
	void Start () 
	{
		qacTransform = transform;
		//qacTransform.LookAt(billboardFocus);
		qacTransform.rotation = Camera.main.transform.rotation;
	}
	
	// Update is called once per frame
	void Update () 
	{
		if(Camera.main != null)
		{
			if(!yRotMode)
			{
				//qacTransform.LookAt(billboardFocus);
				qacTransform.rotation = Camera.main.transform.rotation;
			}
			else
			{
				Quaternion camRot = Camera.mainCamera.transform.rotation;
				
				transform.rotation = new Quaternion(0,camRot.y,0,camRot.w);
			}
		}
			
			
	}
}
