using UnityEngine;
using System.Collections;

/*BounceBlaster
CameraOrthoZoom.cs

Fakes the zoom-in/out effect for an orthographic camera.

Authors:
1) Matt Cabanag
2) ..
3) ..

*/

public class CameraOrthoZoom : MonoBehaviour 
{
	
	public float minZoom = 60;
	public float maxZoom = 100;
	public float zoomCoefficient = 0.1f;
	
	
	
	// Use this for initialization
	void Start () 
	{
	
	}
	
	// Update is called once per frame
	void Update () 
	{
		if (Input.GetAxis("Mouse ScrollWheel") != 0) {
			Camera.mainCamera.orthographicSize = Mathf.Min(Mathf.Max(Camera.mainCamera.orthographicSize - (Input.GetAxis("Mouse ScrollWheel") * zoomCoefficient), minZoom), maxZoom);
			BroadcastMessage("setCameraScale");
			/*
			if(Camera.mainCamera.orthographicSize >= minZoom && Camera.mainCamera.orthographicSize <= maxZoom)
			{
				Camera.mainCamera.orthographicSize -= Input.GetAxis("Mouse ScrollWheel") * zoomCoefficient;
			}
			else if (Camera.mainCamera.orthographicSize < minZoom)
			{
				Camera.mainCamera.orthographicSize = minZoom;
			}
			else if (Camera.mainCamera.orthographicSize > maxZoom)
			{
				Camera.mainCamera.orthographicSize = maxZoom;
			}
			*/
		}
	}
}
