using UnityEngine;
using System.Collections;

public class CooldownBar : MonoBehaviour 
{
	
	public float maxLength = 2.0f;
	public float maxClock = 10.0f;
	public float cooldownClock = 1.0f;
	
	private Vector3 origScale;
	
	private Transform qacTransform;

	// Use this for initialization
	void Start () 
	{
		qacTransform = transform;
		
		origScale = transform.localScale;
		//origYscale = transform.localScale.y;
		//orig
		
		//maxLength = origScale.x;
	}
	
	// Update is called once per frame
	void Update () 
	{
		
		float newXscale; 
			
		if(cooldownClock > 0)
		{	
			newXscale = (maxLength) * (cooldownClock/maxClock);
		}
		else
		{
			newXscale = 0;
		}
		
		if(newXscale < Mathf.Infinity)
		{
			qacTransform.localScale = new Vector3(newXscale,origScale.y,origScale.z);
		}
		
	}
}
