using UnityEngine;
using System.Collections;

//gets damaged when it touches anything
//depends on Killable class
//by Matt Cabanag


public class ProxomityDamage : MonoBehaviour 
{
	public int damage;
	
	public Killable subject;

	// Use this for initialization
	void Start () 
	{
		tag = transform.root.tag;
	}
	
	// Update is called once per frame
	void Update () 
	{
	
	}
	
	void OnTriggerEnter(Collider other)
	{
		if(subject != null && other.tag != tag)
		{
			subject.Damage(damage);
		}
	}
}
