using UnityEngine;
using System.Collections;

public class LevelButton : MonoBehaviour 
{
	public string levelName;
	
	public bool randomMode = false;
	public string [] levelNames;
	public AudioSource clickSound;

	// Use this for initialization
	void Start () 
	{
	
	}
	
	// Update is called once per frame
	void Update () 
	{
	
	}
	
	void OnMouseDown()
	{
		//Debug.Log("MOUSE DOWNED ON LEVEL BUTTON!");
		
		if(clickSound != null)
		{
			clickSound.Play ();
		}
		
		if(randomMode && levelNames.Length > 0)
		{
			int i =  Random.Range(0,levelNames.Length);
			
			if(i >= levelNames.Length)
			{ 
				i = levelNames.Length - 1;
			}
			
			string lvl = levelNames[i];
			Application.LoadLevel(lvl);
		}
		else
		{
			Application.LoadLevel(levelName);
		}
	}
	
	void OnMouseEnter()
	{
		//Debug.Log("MOUSE ENTERED ON LEVEL BUTTOn!");
	}
}
