using UnityEngine;
using System.Collections;

//TimerClass
//Designed for the survival levels in Protcol E. Probably could
//be used for other games as well.
//
//authors:
//1) Matt Cabanag
//2)
//3)

public class Timer : MonoBehaviour 
{
	public bool timerActive = true;
	public bool countdownMode = false;
	
	public float timer = 0.0f;
	
	public GameObject activeObj;
	public GameObject timerStopActiveObj;
	
	// Use this for initialization
	void Start () 
	{
			
	}
	
	// Update is called once per frame
	void Update () 
	{
	
		if(GetComponent<TextMesh>()!=null && timerActive)
		{
			try
			{
				
				if(!countdownMode)
				{
					timer += Time.deltaTime;
					GetComponent<TextMesh>().text = timer.ToString().Substring(0,5);
				}
				else
				{
					if(timer > 0)
					{
						timer -= Time.deltaTime;
						GetComponent<TextMesh>().text = timer.ToString().Substring(0,5);
					}
					else
					{
						timer = 0;
						timerActive = false;
					}
				}
			}
			catch
			{
				
			}
		}
		
		if(activeObj == null)
		{
			timerActive = false;
		}
		
		if(!timerActive)
		{
			timerStopActiveObj.SetActive(true);
			ActivateChildren(timerStopActiveObj.transform);

		}
	}
	
	void ActivateChildren(Transform root)
	{
		foreach(Transform t in root)
		{
			t.gameObject.SetActive(true);
			ActivateChildren(t);
		}
	}
}
