using UnityEngine;
using System.Collections;

[ RequireComponent(typeof(CharacterController)) ]
public class RigidbodyLite : MonoBehaviour 
{
	public bool moving;	
	public Vector3 velocity;
	
	//quick access component
	private Transform qacTransform;
	private CharacterController qacCharConn;
		
	// Use this for initialization
	void Start () 
	{
		qacCharConn = GetComponent<CharacterController>();
		qacTransform = transform;
	}
	
	// Update is called once per frame
	void Update () 
	{
		if(moving)
		{
			//qacTransform.position += velocity*Time.deltaTime;
			qacCharConn.Move(velocity*Time.deltaTime);
		}
		else
		{
			qacTransform.position = Vector3.zero;
		}
	}
}
