using UnityEngine;
using System.Collections;

public class SpinFollow : MonoBehaviour 
{
	public float rotationSpeed = 60;
	public GameObject target;
	public float tagHeight = 2;
	
	public Transform qacTransform;

	// Use this for initialization
	void Start () 
	{
		qacTransform = transform;
	}
	
	// Update is called once per frame
	void Update () 
	{
		FollowSubject();
	}
	
	void FollowSubject()
	{
		
		if(target != null)
		{
			qacTransform.position = 
				target.transform.position + new Vector3(0,tagHeight,0);
			qacTransform.Rotate(0,Time.deltaTime*rotationSpeed,0);
		}
		else
		{
			Destroy(gameObject);
		}

	}
}
